#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.CSVolumeProfileSession[] cacheCSVolumeProfileSession;

		
		public ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(string tradingHoursString)
		{
			return CSVolumeProfileSession(Input, tradingHoursString);
		}


		
		public ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(ISeries<double> input, string tradingHoursString)
		{
			if (cacheCSVolumeProfileSession != null)
				for (int idx = 0; idx < cacheCSVolumeProfileSession.Length; idx++)
					if (cacheCSVolumeProfileSession[idx].TradingHoursString == tradingHoursString && cacheCSVolumeProfileSession[idx].EqualsInput(input))
						return cacheCSVolumeProfileSession[idx];
			return CacheIndicator<ChartSpots.CSVolumeProfileSession>(new ChartSpots.CSVolumeProfileSession(){ TradingHoursString = tradingHoursString }, input, ref cacheCSVolumeProfileSession);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(string tradingHoursString)
		{
			return indicator.CSVolumeProfileSession(Input, tradingHoursString);
		}


		
		public Indicators.ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(ISeries<double> input , string tradingHoursString)
		{
			return indicator.CSVolumeProfileSession(input, tradingHoursString);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(string tradingHoursString)
		{
			return indicator.CSVolumeProfileSession(Input, tradingHoursString);
		}


		
		public Indicators.ChartSpots.CSVolumeProfileSession CSVolumeProfileSession(ISeries<double> input , string tradingHoursString)
		{
			return indicator.CSVolumeProfileSession(input, tradingHoursString);
		}

	}
}

#endregion
